/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package net.brutex.xservices.types;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author brian
 */
@XmlRootElement
public class AntProperty {

    @XmlElement(required=true)
    public String name ="";

    @XmlElement(required=true)
    public String value="";

    public static List<AntProperty> createAntPropertyList(Map<String, String> map) {
        List<AntProperty> list = new ArrayList<AntProperty>();
        for(Map.Entry<String, String> e : map.entrySet()) {
            list.add(new AntProperty(e.getKey(), e.getValue()));
        }
        return list;
    }

    public AntProperty(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public AntProperty() {
    }
    

}
